<div th:replace="shared/header"></div>

<h1 th:text="${pageTitle}"></h1>



<div class="box">
    <div class="box-header with-border">
        <a th:href="@{'/'+${pathUri}+'/create'}" class="btn btn-primary"><span class="glyphicon glyphicon-plus"></span></a>
    </div>
    <div style="width: 300px;" class="input-group input-group-sm">
                    <span class="input-group-btn">
                        <button class="btn btn-info btn-flat input-search" disabled>Search...</button>
                    </span>
        <input type="text" class="form-control input-search" >
              </div>

    <table class="table">
        <thead class="thead-dark">
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Address</th>
                <th>Phone</th>
                <th>Status</th>
                <th>Starting Date</th>
                <th>End Date</th>
                <th>Progress</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="record:${records}">
                <td th:text="${record.id}"></td>
                <td th:text="${record.name}"></td>
                <td th:text="${record.address}"></td>
                <td th:text="${record.phone}"></td>
                <td>
                    <label th:if="${record.status}" class="label label-success">Active</label>
                    <label th:unless="${record.status}" class="label label-danger">In Active</label>
                </td>
                <td th:text="${#dates.format(record.starting_date, 'yyyy-MM-dd')}"></td>
                <td th:text="${#dates.format(record.end_date, 'yyyy-MM-dd')}"></td>
                <td th:text="${record.progress}"></td>
                <td>
                    <a th:href="@{'/'+${pathUri}+'/edit/'+${record.id}}" class="btn btn-warning"><span class="glyphicon glyphicon-pencil"></span></a>
                    <a th:href="@{'/'+${pathUri}+'/delete/'+${record.id}}" class="btn btn-danger"><span class="glyphicon glyphicon-remove"></span></a>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</div>
<script th:inline="javascript">
    /*<![CDATA[*/
    $(document).ready(function () {
        var records = /*[[${records}]]*/ 'default';
        var pathuri =/*[[${pathUri}]]*/ 'default';
        
        var template = '<tr><td>{{id}}</td><td>{{name}}</td><td>{{address}}</td><td>{{phone}}</td>' +
                '<td>{{status}}</td><td>{{starting_date}}</td><td>{{end_date}}</td><td>{{progress}}</td>'+
                '<td><a href="/'+pathuri+'/edit/{{id}}" class="btn btn-warning">'+
                '<span class="glyphicon glyphicon-pencil"></span></a>'+
                '<td><a href="/'+pathuri+'/delete/{{id}}" class="btn btn-danger">'+
                '<span class="glyphicon glyphicon-remove"></span></a>'+
                '</td></tr>';

        $('.input-search').on('keyup', function () {
            var $keyword = $(this).val();
            searchTable({
                coll:records,
                template:template,
                keyword:$keyword,
                el:'.table tbody'
            });
        });
    });
    /*]]>*/
</script>
<div th:replace="shared/footer"></div>
